Eclipse Platform Release 3.7

## org.eclipse.ui.activities
Interface IWorkbenchActivitySupport

    public interface IWorkbenchActivitySupport

An instance of this interface provides support for managing `IWorkbench` activities. An instance of this interface may be obtained via `IWorkbench.getActivitySupport()`.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IMutableActivityManager` `createWorkingCopy()` Return a copy of the current activity set.
`IActivityManager` `getActivityManager()` Returns the activity manager for the workbench.
`ImageDescriptor` `getImageDescriptor(IActivity activity)` Return the image associated with this activity.
`ImageDescriptor` `getImageDescriptor(ICategory category)` Return the image associated with this category.
`ITriggerPointManager` `getTriggerPointManager()` Return the trigger point manager for this instance.
`void` `setEnabledActivityIds(Set enabledActivityIds)` Sets the set of identifiers to enabled activities.

Method Detail

### getActivityManager

    IActivityManager getActivityManager()

  Returns the activity manager for the workbench.

  Returns:
    the activity manager for the workbench. Guaranteed not to be `null`.

### setEnabledActivityIds

    void setEnabledActivityIds(Set enabledActivityIds)

  Sets the set of identifiers to enabled activities.

  Parameters:
    `enabledActivityIds` - the set of identifiers to enabled activities. This set may be empty, but it must not be `null`. If this set is not empty, it must only contain instances of `String`.

### getImageDescriptor

    ImageDescriptor getImageDescriptor(IActivity activity)

  Return the image associated with this activity.

  Parameters:
    `activity` - the activity
  Returns:
    the image associated with this activity. Never `null`.
  Since:
    3.1

### getImageDescriptor

    ImageDescriptor getImageDescriptor(ICategory category)

  Return the image associated with this category.

  Parameters:
    `category` - the category
  Returns:
    the image associated with this category. Never `null`.
  Since:
    3.1

### getTriggerPointManager

    ITriggerPointManager getTriggerPointManager()

  Return the trigger point manager for this instance.

  Returns:
    the trigger point manager. Never `null`.
  Since:
    3.1

### createWorkingCopy

    IMutableActivityManager createWorkingCopy()

  Return a copy of the current activity set. This copy will contain all activity and category definitions that the workbench activity manager contains, and will have the same enabled state. It will not have the same listeners. This is useful for user interfaces that wish to modify the activity enablement state (such as preference pages).

  Returns:
    a copy of the current activity set
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.